osl::eval::ml::RookRook Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
osl::eval::ml::RookRook Class Reference

`#include <majorPiece.h>`

Collaboration diagram for osl::eval::ml::RookRook:
[legend]

## Public Types
enum | { ONE_DIM = 800, DIM = ONE_DIM * EvalStages }

## Static Public Member Functions
static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state)

## Static Private Member Functions
template<bool SamePlayer, Player P>
static int | index (Piece rook1, Piece rook2)
static int | index (bool same_player, bool promoted1, bool promoted2, int y1, int y2)

## Static Private Attributes
static CArray< MultiInt, 800 > | table

## Detailed Description

Definition at line 550 of file majorPiece.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 553 of file majorPiece.h.

## Member Function Documentation

osl::MultiInt osl::eval::ml::RookRook::eval | ( | const NumEffectState & | state) |  |
| static

Definition at line 1063 of file majorPiece.cc.

References osl::BLACK, osl::Piece::owner(), and result.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

template<bool SamePlayer, Player P>

static int osl::eval::ml::RookRook::index | ( | Piece | rook1,
|  | Piece | rook2
| ) |  |
| inlinestaticprivate

Definition at line 558 of file majorPiece.h.

References osl::BLACK, osl::Piece::isOnBoard(), osl::Piece::isPromoted(), osl::Piece::square(), and osl::Square::y().

static int osl::eval::ml::RookRook::index | ( | bool | same_player,
|  | bool | promoted1,
|  | bool | promoted2,
|  | int | y1,
|  | int | y2
| ) |  |
| inlinestaticprivate

Definition at line 597 of file majorPiece.h.

void osl::eval::ml::RookRook::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 1003 of file majorPiece.cc.

References osl::NStages, and osl::eval::ml::Weights::value().

## Member Data Documentation

osl::misc::CArray< MultiInt, 800 > osl::eval::ml::RookRook::table
| staticprivate

Definition at line 605 of file majorPiece.h.

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc